#!/bin/sh
echo 'name: monad-par
version: 0.3
id: monad-par-0.3-5e852fb6c67aad619b5d08fd2956ee33

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: This library offers an alternative parallel programming
             API to that provided by the @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: the monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             The library comes with a work-stealing
             implementation, but the internals are also
             exposed so that you can build your own scheduler
             if necessary.
             Examples of use can be found in the examples/ directory
             of the source package.
             The modules below provide additionaly schedulers,
             data structures, and other added capabilities
             layered on top of the '\''Par'\'' monad.
category: Control,Parallelism,Monads
author: Simon Marlow
pkgpath: devel/hs-monad-par
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/monad-par-0.3
library-dirs: /usr/local/lib/ghc/monad-par-0.3
hs-libraries: HSmonad-par-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: abstract-deque-0.1.6-58134fdba6d85dfcbef43f4fdba3614d
         abstract-par-0.3.1-8a475b0020d3c20f8fe26aa97d8b74c0
         array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3
         base-4.6.0.1-6b06c3defb20732cfd08deb8ba52ca7c
         containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2
         deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926
         monad-par-extras-0.3.2-079b9987a6f8e20561b916c2f30a9a10
         mtl-2.1.2-94c72af955e94b8d7b2f359dadd0cb62
         mwc-random-0.12.0.1-0eb81e69e8af3373af6d996297c93350
         parallel-3.2.0.3-d6c020cb3aa15c71f5f29c0db359fd39
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-monad-par-0.3/html/monad-par.haddock
haddock-html: /usr/local/share/doc/hs-monad-par-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
